#include <stdlib.h>
#include "stdio16.h"
#include "system.h"

void *Malloc(int bytes)
{
    void *mem = malloc(bytes);
    if(!mem)
	Fprintf(stderr, CE_ISO_8859_1, "malloc failed\n");
    return mem;
}

void *Realloc(void *mem, int bytes)
{
    mem = mem ? realloc(mem, bytes) : malloc(bytes);
    if(!mem)
	Fprintf(stderr, CE_ISO_8859_1, "realloc failed\n");
    return mem;
}

void Free(void *mem)
{
    free(mem);
}

